package com.trust.ywx.specs.update

import android.content.Intent
import com.facebook.react.bridge.ReactApplicationContext
import com.trust.ywx.BuzActivity
import com.trust.ywx.specs.NativeUpdateManagerSpec
import com.trust.ywx.utils.AppManager
import com.trust.ywx.event.AppUpdateEvent
import org.greenrobot.eventbus.EventBus

class UpdateManager(reactContext: ReactApplicationContext) :
    NativeUpdateManagerSpec(reactContext) {
    override fun update(name: String) {
    }

    override fun reload() {
        EventBus.getDefault().post(AppUpdateEvent())
    }

    override fun getName() = NAME

    companion object {
        const val NAME = "UpdateManager"
    }
}